
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-00002
%global meadalpha .Final_redhat_00002
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-interceptors-api_1.2_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-00002

Name:           %{?scl_prefix}jboss-interceptors-api_1.2_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) EE Interceptors 1.2 API
Group:          Development/Java

%if %with mead
Source100: jboss-interceptors-api_1.2_spec-2.0.0.Final-redhat-00002-project-sources.tar.gz
Source102: jboss-interceptors-api_1.2_spec-2.0.0.Final-redhat-00002-sources.jar
Source103: jboss-interceptors-api_1.2_spec-2.0.0.Final-redhat-00002.jar
Source104: jboss-interceptors-api_1.2_spec-2.0.0.Final-redhat-00002-javadoc.jar
Source105: jboss-interceptors-api_1.2_spec-2.0.0.Final-redhat-00002.pom
%endif

License:        EPL-2.0
URL:            https://github.com/jboss/jboss-interceptors-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The Java(TM) EE  Interceptors 1.2 API classes from JSR 318.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-interceptors-api_1.2_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%if 0
%setup -q -n jboss-interceptors-api_spec -T -b 100
%endif

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-interceptors-api_1.2_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-interceptors-api_1.2_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-interceptors-api_1.2_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-interceptors-api_1.2_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-interceptors-api_1.2_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-interceptors-api_1.2_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-interceptors-api_1.2_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-interceptors-api_1.2_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-interceptors-api_1.2_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-interceptors-api_1.2_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-interceptors-api_1.2_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc LICENSE README
%endif
%{_javadir}/jboss-interceptors-api_1.2_spec-%{namedversion}.jar
%{_javadir}/jboss-interceptors-api_1.2_spec.jar
%if %with javadoc
%{_javadir}/jboss-interceptors-api_1.2_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-interceptors-api_1.2_spec-javadoc.jar
%endif
%{_javadir}/jboss-interceptors-api_1.2_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-interceptors-api_1.2_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-interceptors-api_1.2_spec-%{namedversion}
%{_javadocdir}/jboss-interceptors-api_1.2_spec
%endif

%changelog
* Fri Oct 18 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-3.Final_redhat_00002.1
- Fix License

* Mon Oct 14 2019 Yong Yang <yyang@redhat.com> - 2.0.0-2.Final_redhat_00002.1
- RPM wrapper build 2.0.0.Final-redhat-00002

* Mon Sep 23 2019 Yong Yang <yyang@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- RPM wrapper build 2.0.0.Final-redhat-00001

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.0.1-1.Final_redhat_1.1
-  1.0.1.Final-redhat-1 for eap 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.0-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.0-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Thu Jun 11 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- Change to 1.2

* Thu Jun 11 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- release

